Skip to main content
PATCH
/
v1
/
organizations
/
{organizationUid}
/
seed-groups
/
{seedGroupUid}
cURL
curl --request PATCH \
  --url https://client.synack.com/api/asset-discovery/v1/organizations/{organizationUid}/seed-groups/{seedGroupUid} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "asmEnabled": true,
  "autoConfirmationEnabled": true
}
'
{
  "autoConfirmationEnabled": true,
  "limitReached": true,
  "createdAt": "2023-11-07T05:31:56Z",
  "createdBy": "<string>",
  "uid": "<string>",
  "organizationUid": "<string>",
  "name": "<string>",
  "listingUid": "<string>",
  "lastScanAt": "2023-11-07T05:31:56Z",
  "asmEnabled": true,
  "totalSeeds": 123,
  "tags": [
    "<string>"
  ],
  "updatedAt": "2023-11-07T05:31:56Z",
  "updatedBy": "<string>"
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

organizationUid
string
required

Unique identifier for an organization group. Unique identifier for an organization.

Pattern: ^[-_0-9a-z]{1,50}
seedGroupUid
string
required

Unique identifier for a seed group.

Pattern: ^[0-9a-f]{12}

Body

application/json

Changed properties for a single seed group.

name
string
asmEnabled
boolean
autoConfirmationEnabled
boolean

Indicates whether discovered assets from this seed group will be created as unconfirmed or confirmed.

Response

The current state of the requested asset.

autoConfirmationEnabled
boolean
required

Indicates whether discovered assets from this seed group will be created as unconfirmed or confirmed.

limitReached
boolean
required

Indicates that the seed group scan has reached a limit on the number of assets that can be discovered from it.

createdAt
string<date-time>
required
read-only

Automatically set by the server to the time the request was processed whenever the resource was created.

createdBy
string
required
read-only

Automatically set by the server to the requesting user whenever the resource is updated. May be a user account or a service account if the action is performed by an automated.

Pattern: ^[0-9a-f]{12}
uid
string
read-only

Unique Identifier.

Pattern: ^[0-9a-f]{12}
organizationUid
string

Unique identifier for an organization.

Pattern: ^[-_0-9a-z]{1,50}
name
string
read-only

User-supplied name for this seed group.

listingUid
string

Unique identifier for an listing.

Pattern: ^[-_0-9a-z]{1,50}
scanStatus
enum<string>
read-only
Available options:
created,
in_progress,
completed,
failed
lastScanAt
string<date-time>
read-only
asmEnabled
boolean
read-only

Indicates whether ASM is enabled for this seed group.

totalSeeds
integer
read-only

Derived count of seeds in this seed group.

tags
string[]
Pattern: ^[-_0-9a-zA-Z]{1,16}
updatedAt
string<date-time>
read-only

Automatically set by the server to the time the request was processed whenever the resource is updated.

updatedBy
string
read-only

Automatically set by the server to the requesting user whenever the resource is updated. May be a user account or a service account if the action is performed by an automated.

Pattern: ^[0-9a-f]{12}